net.i2p.router.tunnel

## Class OutboundGatewayMessage

- java.lang.Object
- - net.i2p.router.tunnel.PendingGatewayMessage
  - - net.i2p.router.tunnel.OutboundGatewayMessage

- All Implemented Interfaces:
    CDPQEntry, CDQEntry, PQEntry

      class OutboundGatewayMessage
      extends PendingGatewayMessage
      implements CDPQEntry

  Stores all the state for an unsent or partially-sent message

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.tunnel.PendingGatewayMessage

      `_created, _expiration, _fragmentNumber, _messageId, _offset, _remaining, _toRouter, _toTunnel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundGatewayMessage(I2NPMessage message, Hash toRouter, TunnelId toTunnel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()` For CDPQ
    `long` | `getSeqNum()` For CDPQ
    `void` | `setSeqNum(long num)` For CDPQ

    - ### Methods inherited from class net.i2p.router.tunnel.PendingGatewayMessage

      `addMessageId, drop, getData, getEnqueueTime, getExpiration, getFragmentNumber, getLifetime, getMessageId, getMessageIds, getOffset, getToRouter, getToTunnel, incrementFragmentNumber, setEnqueueTime, setOffset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.i2p.router.util.CDQEntry

      `drop, getEnqueueTime, setEnqueueTime`

- - ### Constructor Detail

    - #### OutboundGatewayMessage

          public OutboundGatewayMessage(I2NPMessage message,
                                        Hash toRouter,
                                        TunnelId toTunnel)

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      For CDPQ
      Specified by:
        `getPriority` in interface `PQEntry`

    - #### getSeqNum

          public long getSeqNum()

      For CDPQ
      Specified by:
        `getSeqNum` in interface `PQEntry`

    - #### setSeqNum

          public void setSeqNum(long num)

      For CDPQ
      Specified by:
        `setSeqNum` in interface `PQEntry`